---
- name: directories
  file:
    state: directory
    path: "{{ item }}"
  loop:
  - "{{ root }}"

- name: other directories
  file:
    state: directory
    path: "{{ root }}{{ item.value }}"
  loop: "{{ directories | dict2items }}"

- name: credentials.yml.enc
  template:
    src: credentials.yml.enc
    dest: "{{ root }}{{ directories.etc }}/credentials.yml.enc"

# TODO: 101 is the generic gid for a system user, make nginx use a
# unique uid and gid
- name: htpasswd
  template:
    src: templates/htpasswd.j2
    dest: "{{ root }}{{ basic_auth.htpasswd }}"
    mode: "640"
    group: "101"

# Create the directories where everything will be permanently stored.
- name: sutty directories
  file:
    state: directory
    path: "{{ item }}"
    owner: "1000"
    group: "82"
  loop:
  - "{{ root }}{{ directories.data }}"
  - "{{ root }}{{ directories.public }}"
  - "{{ root }}{{ directories.private }}"
  - "{{ root }}{{ directories.sites }}"
  - "{{ root }}{{ directories.deploy }}"
  - "{{ root }}{{ directories.storage }}"
